de.caff.generics.converter

## Class MapKeyValueConverter<KT,VT,KS,VS>

- java.lang.Object
- - de.caff.generics.converter.MapKeyValueConverter<KT,VT,KS,VS>

- All Implemented Interfaces:
    Function1<java.util.Map.Entry<KT,VT>,java.util.Map.Entry<KS,VS>>, java.util.function.Function<java.util.Map.Entry<KS,VS>,java.util.Map.Entry<KT,VT>>

      public class MapKeyValueConverter<KT,VT,KS,VS>
      extends java.lang.Object
      implements Function1<java.util.Map.Entry<KT,VT>,java.util.Map.Entry<KS,VS>>

  A map converter which converts the key and the value in a map simultaneously.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapKeyValueConverter(java.util.function.Function<KS,KT> keyConverter, java.util.function.Function<VS,VT> valueConverter)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map.Entry<KT,VT>` | `apply(java.util.Map.Entry<KS,VS> object)` Convert an object to another type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.function.Function1

      `after, andThen, applyNonNull, applyOrDefault, fallback, fallback, from, from, nonFragile, nonFragile, nonFragileX, partial, withFallback`

    - ### Methods inherited from interface java.util.function.Function

      `compose, identity`

- - ### Constructor Detail

    - #### MapKeyValueConverter

          public MapKeyValueConverter(@NotNull
                                      java.util.function.Function<KS,KT> keyConverter,
                                      @NotNull
                                      java.util.function.Function<VS,VT> valueConverter)

      Constructor.
      Parameters:
        `keyConverter` - the key converter, used for changing the key
        `valueConverter` - the value converter, used for changing the value

  - ### Method Detail

    - #### apply

          public java.util.Map.Entry<KT,VT> apply(java.util.Map.Entry<KS,VS> object)

      Convert an object to another type.
      Specified by:
        `apply` in interface `java.util.function.Function<java.util.Map.Entry<KS,VS>,java.util.Map.Entry<KT,VT>>`
      Parameters:
        `object` - object to convert
      Returns:
        target object